#include <iostream>

using namespace std;
void unos_niza(int a[],int n)
{
    for (int i=0;i<n;i++)
        cin >> a[i];
}

void sortiranje_u_rastucem_poretku (int a[],int n)
{
    int i,j,temp;
    for (i=0;i<n;i++)
        for (j=i+1;j<n;j++)
            if(a[i]>a[j])
            {
                temp=a[i];
                a[i]=a[j];
                a[j]=temp;
            }
}

int main()
{
    int t,i,n,m,j=0;
    cin >> t;
    int a[75000],b[75000];
    if ((t>=1)&&(t<=5))
    {
       while (j<t)
        {
            cin >> n >> m;
            unos_niza(a,n);
            unos_niza(b,m);
            sortiranje_u_rastucem_poretku(a,n);
            for (i=2;i<n;i++)
            {
                if (a[i]-a[i-1]!=a[1]-a[0])
                    cout << 0 << endl;
                else
                    for (i=0;i<n;i++)
                        for (int j=0;j<m;j++)
                        {
                            if (a[i]==b[j])
                                cout << 0 << endl;
                            else
                                cout << 1 << endl;
                        }
            }
            j++;
        }
    }
    return 0;
}